com.aliyun.svideosdk.mixrecorder

## Class AliyunMixOutputParam

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixOutputParam

-     public class AliyunMixOutputParam
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunMixOutputParam.Builder` `AliyunMixOutputParam` builder static inner class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()` Gets the `mBitrate`
    `int` | `getCrf()` Gets the crf
    `int` | `getFps()` Get the `mFps` value
    `int` | `getGopSize()` Get the `mGopSize`
    `AliyunMixTrack` | `getOutputAudioReferenceTrack()` Get the main audio track for output
    `AliyunMixTrack` | `getOutputDurationReferenceTrack()` Gets the main video track for output
    `int` | `getOutputHeight()` Gets the output height in pixels.
    `java.lang.String` | `getOutputPath()` Get the `mOutputPath` and returns a reference to this Builder so that the methods can be chained together.
    `int` | `getOutputWidth()` Gets the output width in pixels.
    `VideoQuality` | `getVideoQuality()` Gets the output `VideoQuality`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getOutputPath

          public java.lang.String getOutputPath()

      Get the `mOutputPath` and returns a reference to this Builder so that the methods can be chained together.
      Returns:
        the outputPath

    - #### getOutputDurationReferenceTrack

          public AliyunMixTrack getOutputDurationReferenceTrack()

      Gets the main video track for output
      Returns:
        the video track

    - #### getOutputAudioReferenceTrack

          public AliyunMixTrack getOutputAudioReferenceTrack()

      Get the main audio track for output
      Returns:
        the main audio track

    - #### getOutputWidth

          public int getOutputWidth()

      Gets the output width in pixels.
      Returns:
        the output width

    - #### getOutputHeight

          public int getOutputHeight()

      Gets the output height in pixels.
      Returns:
        the output height

    - #### getCrf

          public int getCrf()

      Gets the crf
      Returns:
        crf

    - #### getBitrate

          public int getBitrate()

      Gets the `mBitrate`
      Returns:
        bitrate

    - #### getVideoQuality

          public VideoQuality getVideoQuality()

      Gets the output `VideoQuality`
      Returns:
        `VideoQuality`

    - #### getFps

          public int getFps()

      Get the `mFps` value
      Returns:
        fps The fps value

    - #### getGopSize

          public int getGopSize()

      Get the `mGopSize`
      Returns:
        the gop size